Subject: Re: bug#67012: 29.1; epa-sign-file pinentry loopback mode does not work with S/MIME

From: Ulrich Mueller <[email-masked]>
Date: Thu, 09 Nov 2023 12:43:16 +0100

>>>>> On Thu, 09 Nov 2023, Eli Zaretskii wrote:

> Isn't this one more manifestation of the GnuPG 2.4.1?  See the entry
> in etc/PROBLEMS whose heading is "Saving a file encrypted with GnuPG
> via EasyPG hangs".

AFAICS this is a different problem.

> IOW, if you downgrade to an older version of GnuPG, do both problems
> go away?

My original report was with gnupg-2.4.3. I've tried again after
downgrading to gnupg-2.2.41, but the behaviour is basically the same.
The only difference is an additional line in the error message:

   Error while signing with "/usr/bin/gpgsm":

   gpgsm: DBG: adding certificates at level -2
   gpgsm: ignoring gpg-agent inquiry 'PASSPHRASE'
   gpgsm: error creating signature: No passphrase given <GPG Agent>

I see no change either when I add --passphrase-fd 0 to the args in
epg--start. That is, gpgsm still hangs as reported above.